## Bsoft program

# btomo

### Usage: btomo [options] input.star/input.img [input.star/input.img]

Manipulates parameter files for tilt series and aligns them by cross-correlation.

### Actions:

-all | Select all markers.
-updatematrix | Update micrograph matrices from tilt and axis angles.
-resetmodel | Reset the x and y coordinates to that of the zero-degree tilt image.
-checkmarkers | Determine if markers all fall within micrograph boundaries.
-deselect 5-9,33 | Deselect markers by id from all micrographs and models.
-deletemarkers 5-9,33 | Delete markers by id from all micrographs and models.
-rotationaxis | Determine the best rotation axis from refined markers.
-clear 240,7.5 | Clear extraneous areas on micrographs with this intended reconstruction thickness
| and smoothing edge width (default 5).
-removemarkers 14 | Mask out markers with this radius (pixels) before transformation.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 110,50,44 | Origin for tilt axis (default 0,0,0).
-axis 74.7 | Tilt axis angle relative to x-axis (default 0 or from parameter file).
-tilt -65,1.5 | Tilt series start and step size (default from parameter file).
-reference 48 | Reference image for alignment (default closest to zero tilt).
-goldradius 12 | Gold particle radius (default from parameter file).

### Input:

-rawtlt series.rawtlt | Text file with tilt angles.

### Output:

-output file.star | Output parameter file.
-image file.pif | Output multi-image file with aligned images.

Bsoft version 2.0.3-20180917 (64 bit)